Name:           pachi
Version:        1.0
Release:        5%{?dist}
Summary:        Pachi El Marciano - Platform Game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://dragontech.sourceforge.net/index.php?main=pachi&lang=en
Source0:        http://downloads.sourceforge.net/dragontech/pachi_source.tgz
Source1:        %{name}.desktop
Patch0:         %{name}-fixes.patch
Patch1:         %{name}-nosound.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel desktop-file-utils ImageMagick
Requires:       hicolor-icon-theme

%description
Pachi El Marciano is a cool 2D platform game inspired by the likes of
Manic Miner, Jet Set Willy, and more from the '80s.


%prep
%setup -q -n Pachi
%patch0 -p1 -z .fixes
%patch1 -p1 -z .nosound


%build
%configure
make %{?_smp_mflags}
convert Tgfx/icon.bmp %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# easier then patching the Makefile
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_var}/games
mv $RPM_BUILD_ROOT%{_var}/lib/games/%{name}/data/scores.dat \
   $RPM_BUILD_ROOT%{_var}/games/%{name}.hs

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%config(noreplace) %attr (0664,root,games) %{_var}/games/%{name}.hs


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-5
- Autorebuild for GCC 4.3

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-4
- Fix compilation with gcc 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-3
- Update License tag for new Licensing Guidelines compliance

* Thu Jan 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-2
- Stop pachi from crashing when it cannot open the soundcard (bz 221561)

* Fri Nov 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- initial Fedora Extras package
